import React from 'react';
import './App.css';
import 'materialize-css'; // It installs the JS asset only
import 'materialize-css/dist/css/materialize.min.css';
import 'react-materialize';

import Modularity from 'modularity-entry';


//import Materialize //We only import some icons 


//Modules Import
import CardModule from './Modules/Card';
import CardProd from './Modules/CardProd';
import SideNavModule from './Modules/SideNav';
import PresentCards from './HigherModules/PresentCards';
import SearchBar from './Modules/SearchBar';

//LayOuts Import
import DasHome from './Layouts/DasHome';

//Packages Import
import PricePackage from './Packages/prices';
import ProductsPackage from './Packages/products';
import CompaniesPackage from './Packages/companies';
//Services Import
import DataService from './Services/DataService';

import SiteScript from './SiteScript.js';

let Core = Modularity.Systems.getCore();
Core.RoutingSystem.setHome("/prices");
//Add Modules
Modularity.Systems.addModule(CardModule);
Modularity.Systems.addModule(SideNavModule);
Modularity.Systems.addModule(PresentCards);
Modularity.Systems.addModule(CardProd);
Modularity.Systems.addModule(SearchBar);


//Add Layouts
Modularity.Systems.addModule(DasHome);

//Add Packages
Modularity.Systems.addModule(PricePackage);
Modularity.Systems.addModule(ProductsPackage);
Modularity.Systems.addModule(CompaniesPackage);
//Add Services
Modularity.Systems.addService(DataService);


let Loader = <Modularity.ModuleLoader.MemoryLoader />;
if(process.env.NODE_ENV === 'production') {
	Loader = <Modularity.ModuleLoader.SolidLoader script={SiteScript}/>
}
function App() {
  return (
    <div>
         {Loader}
    </div>
  );
}

export default App;
