import React from 'react';
import Modularity from 'modularity-entry';


import { Row, Col } from 'react-materialize';
import CardModule from '../Modules/Card';
import CardProd from '../Modules/CardProd';

import './PresentCards.css';


let Module = Modularity.Module;


class PresentCards extends Modularity.Module{
	constructor(props){
		super(props);
	}

	render(){
		
		const cards = (this.data.value || []).map((item) => {
			switch(this.cardType.value){
				default:
				case "CardModule":
					return <div className="col s12 m6 l4">
						<CardModule ClassName="black-effect" 
							Data= {item} 
							HeaderKey={this.cardHeader.value}
							LinkText={this.linkText.value} NewTab={true}
							/>
					</div>
				case "CardProd":
					return <div className="col s12 m6 l4">
						 <CardModule ClassName="main-effect" 
						  Data = {item}
						  HeaderKey={this.cardHeader.value}
						  LinkText={this.linkText.value} NewTab={true}
						  onRefresh={this.props.onRefresh}
						  />
					</div>
			}
		})
		return(
			<div className="row PresentCards">
				{cards}
			</div>
			)
		
	}
}


PresentCards.Inputs = {
	data: {
		type:Module.Types.Array,
		/*defaultValue:[
		{
			"id":"#32",
			"title":"Κουρτίνα με Τρέσα 300x270",
			"Trader":"SpitiShop",
			"Actual_Price":"17,80",
			"Reduced_Price":"14,80",	
			"discount":"20%"
		},
		{
			"id":"#32",
			"title":"Κουρτίνα με Τρέσα 300x270",
			"Trader":"SpitiShop",
			"Actual_Price":"17,80",
			"Reduced_Price":"14,80",	
			"discount":"20%"
		}
		],*/
		arrType:Module.Types.Object

	},
	linkText: {
		type:Module.Types.Text
	},
	cardHeader:{
		type:Module.Types.Text,
		defaultValue:"title"
	},
	cardType:{
		type:Module.Types.Text,
		defaultValue:"CardModule"
	}
	/*Maybe implemenet className as input for css*/
}



PresentCards.Category = "Higher Modules";
export default PresentCards;