import React from 'react';
import Modularity from 'modularity-entry';
import './Card.css';

import Icon from '@material-ui/core/Icon';
let Module = Modularity.Module;

let Link = Modularity.Modules.Link;

class CardModule extends Modularity.Module{



	render(){
		let data = this.Data.value;
		let {
			id,
			discount,
			link,
			[this.HeaderKey.value]:header,

			...rest
		} = data;


		var cardBody = Object.keys(rest).map((key,index) => {
			let paravatisClass = "";
			if (key === 'ΤΙΜΗ ΕΜΠΟΡΟΥ'){
				paravatisClass = "paravatis"
			} 
			else if (key === 'ΠΑΡΑΒΙΑΣΕΙΣ'){
				if(rest[key] === 0){
					paravatisClass = "indicator_green"
				}else{
					paravatisClass = "indicator_red"
				}
			}
			return (
				<div className="card_item" key={index}>
					<div className="card_body_key">{key}</div>
					<div className={"card_body_value " + paravatisClass}>{rest[key]}</div>
				</div>
				)
		})
		return(
			<div className={'card_main ' + this.ClassName.value}>
				<Link className="value black-link" link={link} newTab={this.NewTab.value} target={'_blank'}> 
					<Icon className="iicon">link</Icon>
				</Link>
				{this.props.onRefresh ? <div className="refresh-button">
					<Icon onClick={(e) => this.props.onRefresh(id)}>autorenew</Icon>
				</div> : null}
				<div className="card_cont">
					<div className="card_title_container">
						<div className="card_title">{header}</div>
						<div className="card_id">{id}</div>
					</div>
					<div className="card_body" >
						{cardBody}
						{this.Data.value.discount ? (
							<div className="card_footer">
								<div className="card_footer_value">{this.Data.value.discount} %</div>
							</div>
							):(null)
						}
					</div>
				</div>
				<div className="card_footer_cont">
					{this.Data.value.link && this.LinkText.value ? (
						<div className="card_display_footer">
							<Link className="value" link={link} newTab={this.NewTab.value} target={'_blank'}> 
								<div>{this.LinkText.value}</div>
								<Icon className="category_icon">trending_flat</Icon>
							</Link>
						</div>
					):(null)}
				</div>
				{super.render()}
			</div>
			)
	}
}


CardModule.Inputs = {
	Data: {
		type: Module.Types.Object,
		defaultValue:{
			"id":"#32",
			"title":"Κουρτίνα με Τρέσα 300x270",
			"Trader":"SpitiShop",
			"Actual_Price":"17,80",
			"Reduced_Price":"14,80",	
			"discount":"20%"
		}
	},
	LinkText: {
		type: Module.Types.Text
	},
	NewTab: {
		type: Module.Types.Boolean,
		defaultValue: false
	},
	"HeaderKey":{
		type:Module.Types.Text,
		defaultValue:"title"
	},
	ClassName:{
		type:Module.Types.Text,
		defaultValue:""
	}	
}



CardModule.Category = "sxoinas";
export default CardModule;