import React from 'react';
import Modularity from 'modularity-entry';
import './CardProd.css';
import Icon from '@material-ui/core/Icon';
import { Row, CardTitle, Button, Col, Card } from 'react-materialize';

let Module = Modularity.Module;
let Link = Modularity.Modules.Link;

class CardProd extends Modularity.Module{
	constructor(props){
		super(props)
	}


	render(){
		let data = this.Data.value;
		let {
			id,
			link,
			[this.HeaderKey.value]:header,
			...rest
		} = data;


		var cardBody = Object.keys(rest).map((key,index) => {
			let indicatorClass = "";
			if(key === 'ΠΑΡΑΒΙΑΣΕΙΣ'){
				if(rest[key] === 0){
					indicatorClass = "indicator_green"
				}else{
					indicatorClass = "indicator_red"
				}
			}
			return (
				<div className="card_item" key={index}>
					<div className="card_body_key">{key}</div>
					<div className={"card_body_value " + indicatorClass}>{rest[key]}</div>
				</div>
				)
		})
		return(
				<div className={"card_cont " + this.ClassName.value}>
					<div className="card_title_container">
						<div className="card_title">{header}</div>
						<div className="card_id">{id}</div>
					</div>
					
					<div className="card_body">
						{cardBody}
					</div>
					{this.Data.value.link ? (
						<div className="card_display_footer">
							<Link className="value" link={link} newTab={true} target={"_blank"}> 
								<div>{this.LinkText.value || "Δείτε 'Ολες τις Καταχωρήσεις"}</div>
								<Icon className="category_icon">trending_flat</Icon>
							</Link>
						</div>
						):(null)
					}
				
				{super.render()}
				</div>
		
			)
	}
}


CardProd.Inputs = {
	Data: {
		type: Module.Types.Object,
		defaultValue:{
			"id":"#32",
			"title":"Κουρτίνα με Τρέσα 300x270",
			"Trader":"SpitiShop",
			"Actual_Price":"17,80",
			"Reduced_Price":"14,80",	
			"link":"/some"
		}
	},
	LinkText: {
		type: Module.Types.Text
	},
	"HeaderKey":{
		type:Module.Types.Text,
		defaultValue:"title"
	},
	ClassName:{
		type:Module.Types.Text,
		defaultValue:""
	}	
}



CardProd.Category = "sxoinas";
export default CardProd;