import React from 'react';
import Modularity from 'modularity-entry';
import './Searchbar.css';
import Icon from '@material-ui/core/Icon';


class SearchBar extends Modularity.Module{

	constructor(props) {
		super(props);
		this.state = {
			value: ''
		}
	}

	key(e) {
		if (e.charCode === 13 || e.key === "Enter") {
        	this.props.onSearch && this.props.onSearch(this.state.value)
    	}
	}

	render(){
		

		return(
			<div className="search_cont">
				
				<div className="icon"><Icon>search</Icon></div>
				<div className="custom_input">
					<input className="browser-default myinput" 
							type="text" placeholder="Πληκτρολόγησε όνομα, κατηγορία ή κωδικό προιόντος..." 
							onKeyPress={(e) => this.key(e)} value={this.state.value} 
							onChange={(e) => this.setState({ value: e.target.value })}/>
				</div>				
				{super.render()}
			</div>
		
			)
	}
}


SearchBar.Inputs = {
	
}



SearchBar.Category = "sxoinas";
export default SearchBar;