import React from 'react';
import Modularity from 'modularity-entry';
import './SideNav.css';
import Icon from '@material-ui/core/Icon';

let Module = Modularity.Module;
let Link = Modularity.Modules.Link;
class SideNavModule extends Modularity.Module{


	render(){
		let selectedNavItem = "prices";
        let url = this.RoutingSystem.getRoute().url;
        let navItems = (this.headers.value || []).map((item,index) => {	
			let selected = "";
			let selected_value = "";
			if( url.includes(this.links.value[index]) ) {
				console.log("Settings Selected")
                selectedNavItem = this.links.value[index]
                selected = " nav-item-selected";
                selected_value = "selected_values"
            }
			return (
				<li className={"nav-item-container"}  key={index}>
					<div className={"holder " + selected}> 
						<Link className={"nav-item" } link={this.links.value[index]}>
							<div className={"icon " +  selected_value}><Icon>{this.icons.value[index]}</Icon> </div>
							<div className={"value " +  selected_value}>{item}</div>
						</Link>
					</div>
				</li>
				)
		})

		return(
			<div className="navbar">

				<ul className="list_style">
					<li className="shop_title">
						<div className="dashboard">Dashboard</div>
						<div className="monitoring">MONITORING VIOLATIONS</div>
						<div className="divider"></div>
					</li>
					{navItems}
				</ul>
			</div>
			)
	}
}
SideNavModule.EditPosition = "top-right";
SideNavModule.Inputs = {
	headers: {
		type: Module.Types.Array,
		defaultValue: ['Ειδοποιήσεις','Προϊόντα'],//,'Ρυθμίσεις','Ιστορικό'],
		arrType: Module.Types.Text
	},
	icons:{
		type:Module.Types.Array,
		defaultValue:['trending_up','store'],//,'settings','history']
	},
	links: {
		type: Module.Types.Array,
		defaultValue: ['prices','products'],//,'history','settings'],
		arrType: Module.Types.Text
	},
	class: {
		type: Module.Types.Text,
		defaultValue: "blue-grey lighten-4"
		
	}
}

SideNavModule.Category = "sxoinas";
export default SideNavModule;