import React from 'react';
import Modularity from 'modularity-entry';

import PresentCards from '../HigherModules/PresentCards';
import './price.css'
let Module = Modularity.Module;


let API = new Modularity.Entry.Services.API();
class CompaniesPackage extends Modularity.Module {
	constructor(props) {
		super(props);
		this.state =  {
			lastUpdate:"12",
			companies: [],
			product: {}
		}

		let route = this.RoutingSystem.getRoute() || {params: {}};
		let id = route.params.id;
		this.loadProduct(id);
	}
	
	loadProduct(sku) {
		let filter = {
			field: "sku",
			type: "equals",
			options: sku
		}
		return API.get('/skus?filters='+JSON.stringify([filter]))
		.then((product) => {
			let {
				id,
				suggested_price,
				title,
				link,
				paraviaseis
			} = product[0];
			this.setState({
				product: {
					id,
					link,
					title,
					"Προτεινόμενη τιμή": parseFloat(suggested_price).toFixed(2),
					"Παραβιάσεις" : paraviaseis
				}
			});
			this.loadProducts(sku);
		})
	}

	loadProducts(sku) {
		let filter = {
			field: "SKU",
			type: "equals",
			options: sku
		}
		let ordering = {
			field: "price",
			type: "ascending"
		}
		return API.get('/products?filters='+JSON.stringify([filter,ordering]))
		.then((data) => {
			let companies = data.map((item) => {
				let {
					id,
					price,
					name
				} = item;
				return {
					id: "# " + id,
					link: this.state.product.link,
					"Τιμή": price.toFixed(2),
					name,
					"Προτεινόμενη Τιμή": this.state.product["Προτεινόμενη τιμή"]
				}
			})
			this.setState({
				companies 
			})
		})
	}

	render() {
		console.log(this.data.value)
		return(
			<div className="row price_page">
				<div className="col s12">
					<div className="row title">
						<div className="col s9 price_header">{this.state.product.title}</div>
						<div className="col s3 last_upadte">Τελυταία ενημέρωση: {this.state.lastUpdate} min ago </div>
					</div>
					<PresentCards  data={this.state.companies} cardHeader="name" cardType="CardModule" />
					{super.render()}
				</div>
			</div>
			);
				    
	}
}





CompaniesPackage.EditPosition = "center";
CompaniesPackage.Inputs = {
	data:{
		type:Module.Types.Array,
		defaultValue:[
		{
			"id":"#32",
			"title":"Κουρτίνα με Τρέσα 300x270",
			"Trader":"SpitiShop",
			"Actual_Price":"17,80",
			"Reduced_Price":"14,80",	
			"discount":"20%"
		},
		{
			"id":"#32",
			"title":"Κουρτίνα με Τρέσα 300x270",
			"Trader":"SpitiShop",
			"Actual_Price":"17,80",
			"Reduced_Price":"14,80",	
			"discount":"20%"
		},
		{
			"id":"#32",
			"title":"Κουρτίνα με Τρέσα 300x270",
			"Trader":"SpitiShop",
			"Actual_Price":"17,80",
			"Reduced_Price":"14,80",	
			"discount":"20%"
		},
		{
			"id":"#32",
			"title":"Κουρτίνα με Τρέσα 300x270",
			"Trader":"SpitiShop",
			"Actual_Price":"17,80",
			"Reduced_Price":"14,80",	
			"discount":"20%"
		}
		],
		arrType:Module.Types.Object	
	}

}

CompaniesPackage.Outputs = {
	
}

CompaniesPackage.Category = "Das-Home Pages";
export default CompaniesPackage;